Skip to content
sign in

==> call the api

The account's settings

GET /v1/settings

Needs a personal access token: Authorization: Bearer <token>.

Answer

200 Success.

  • settingsobjectrequired
    • themestring or nullrequired

      A theme id, e.g. jade.

    • mode"light" | "dark" or nullrequired
    • lang"en" | "ru" or nullrequired

Refusals

Each answers { "error": "...", "code"?: "..." } with its status.

statuswhen
401No valid token.

Example

curl 'https://api.clusterstuck.sh/v1/settings' \
  -H 'Authorization: Bearer <your token>'